> For the complete documentation index, see [llms.txt](https://docs.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.didomi.io/get-started/general/consent-storage.md).

# Consent storage

End-user consent is stored on the client-side and server-side. However, Didomi does not send HTTP requests to determine the end-user's consent status since we keep a local cache of this data in a cookie (`didomi_token` or `didomi_dcs`).

{% hint style="info" %}
[Click here](/get-started/general/didomi-consent-string-dcs-and-signature.md) to learn more about the cookie stored client-side (`didomi_dcs`)
{% endhint %}

Didomi will perform the following:

1. Check the client-side cookie for consent information.
2. If the information is missing, Didomi will show your organization's consent notice configured for the website.
3. Collected end-user consent will be stored in a client-side cookie and also sent to Didomi servers for long-term storage.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.didomi.io/get-started/general/consent-storage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
